"""
定义一个类，存储对各种数据处理后的软件包兼容性数据
"""


class PackageInfo(object):
    """待升级软件包的兼容性数据类"""

    def __init__(self, name, erratas, compatibility_abi, compatibility_drive_kabi, is_compatible, compatibility_details,
                 undo, installed_pkg, install_pkg):
        """
        初始化方法
        :param name: 软件包名称
        :param erratas: 软件包的勘误信息，{"级别":[{"勘误号":{"CVE":["CVE"], "BUG":["BUG"], "URL":""}}]}
        :param compatibility_abi: 软件包的兼容度百分比
        :param compatibility_drive_kabi: 软件包的驱动兼容度百分比
        :param is_compatible: 是否兼容
        :param compatibility_details: 兼容性详情
        :param undo: 是否可以回退
        :param installed_pkg: 当前系统上安装的软件包版本
        :param install_pkg: 将要安装的软件包版本
        """
        self.name = name
        self.erratas = erratas
        self.compatibility_abi = compatibility_abi
        self.compatibility_drive_kabi = compatibility_drive_kabi
        self.is_compatible = is_compatible
        self.compatibility_details = compatibility_details
        self.undo = undo
        self.installed_pkg = installed_pkg
        self.install_pkg = install_pkg
